Equals
Prev | 10.13. Topology Spatial Relationships | Next

## Name

Equals — Returns true if two topogeometries are composed of the same topology primitives.

## Synopsis

`boolean Equals(`topogeometry tg1, topogeometry tg2`)`;

## Description

Returns true if two topogeometries are composed of the same topology primitives: faces, edges, nodes.

This function not supported for topogeometries that are geometry collections. It also can not compare topogeometries from different topologies.

Availability: 1.1.0

This function supports 3d and will not drop the z-index.

## Examples

## See Also

GetTopoGeomElements, ST_Equals

Prev | Up | Next
AsTopoJSON | Home | Intersects